Skip to main content
PUT
Update allergy intolerance

Authorizations

Authorization
string
header
required

Service (M2M) access token issued by POST /auth/token using the client_credentials grant. Required scopes, where known, are listed on each operation below.

Path Parameters

id
string
required
Required string length: 1 - 64

Body

application/json
clinical_status
object
verification_status
object
type
enum<string>
Available options:
allergy,
intolerance
category
enum<string>[]
Maximum array length: 4
Available options:
food,
medication,
environment,
biologic
criticality
enum<string>
Available options:
low,
high,
unable-to-assess
code
object
patient_id
string
Required string length: 1 - 64
encounter_id
string
Required string length: 1 - 64
onset_at
string<date-time>
recorded_date
string
Pattern: ^\d{4}-\d{2}-\d{2}$
last_occurrence
string<date-time>
reactions
object[]
Maximum array length: 20
notes
string[]
Maximum array length: 20
Maximum string length: 4000

Response

Updated

data
object
required
request_id
string
required